Bug Hunting Session
Bug 113704 - FILEOPEN: EMF+ EmfPlusRegionNode record is not displaying correctly
Summary: FILEOPEN: EMF+ EmfPlusRegionNode record is not displaying correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-07 21:12 UTC by Bartosz
Modified: 2017-11-22 12:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (188.18 KB, image/x-emf)
2017-11-07 21:14 UTC, Bartosz
Details
Reference image taken from MS Office (969.85 KB, image/png)
2017-11-07 21:14 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-11-07 21:12:50 UTC
Description:
EMF+ EmfPlusRegionNode record is not displaying correctly.
It needs to be imported into LibreOffice and displayed correctly, according to official documentation.

Steps to Reproduce:
1. Drag test_libuemf_p.emf file into Writer document
2.
3.

Actual Results:  
Images which is using EmfPlusRegionNode is not displayed correctly

Expected Results:
The EmfPlusRegionNode record should be properly displayed


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.75 Chrome/62.0.3202.75 Safari/537.36
Comment 1 Bartosz 2017-11-07 21:14:05 UTC
Created attachment 137606 [details]
Sample file
Comment 2 Bartosz 2017-11-07 21:14:35 UTC
Created attachment 137607 [details]
Reference image taken from MS Office
Comment 3 Commit Notification 2017-11-16 20:56:14 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0c4cee7e5ad00363d264aec0011a4b07983b19d

tdf#113704 Implement proper reading of the EmfPlusRegionNode

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-11-17 00:41:16 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d552f67f5ee508ac6fbe03d16e6ba3ac429c3a48

tdf#113704 EMF+ Add support for EmfPlusRecordTypeFillRegion record

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.